// -----------------------------------------------------------------------------
// This file contains all styles related to the button component.
// -----------------------------------------------------------------------------

toggle-button {
  cursor: pointer;
}

.btn {
  font-size: inherit;
  justify-content: center;
  align-items: center;
  font-weight: 700;
  padding: 8px 18px;
  transition: all 0.3s ease-in-out;

  &:active,
  &:focus {
    outline: none !important;
    box-shadow: none !important;
  }

  &:hover {
    color: $ubuntu-orange;
  }
}

// Button Download
.btn-download {
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 300;
  text-align: left;
  border: 1px solid var(--text-primary);
  border-radius: 0;
  color: var(--text-primary);

  .system-icon {
    height: 40px;
    width: 40px;
    margin: 10px 0;
    object-fit: contain;
  }

  .download-icon {
    width: 25px;
  }

  div {
    margin: 0 25px;

    @media (max-width: 1199.98px) {
      margin: 0 auto 0 25px;
    }
  }

  p {
    margin-bottom: 0 !important;
  }

  &:hover {
    background-color: var(--background-body) !important;
    border: 1px solid var(--text-primary) !important;
    color: var(--text-primary) !important;
  }
}

// Button wide
.btn-wide {
  text-align: left;
  border: 1px solid var(--text-primary);
  color: var(--text-primary);
  border-radius: 1px;
  position: relative;
  margin-bottom: 15px;
  padding: 15px 40px 15px 15px;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.15);
  transition: box-shadow 0.15s ease-in-out;

  /* The fast way */
  &::after {
    content: "»";
    font-size: 200%;
    position: absolute;
    top: 18px;
    right: 30px;
  }

  &:hover {
    border: 1px solid $ubuntu-orange;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
  }
}

// Button Small
.btn-small {
  padding: 5px 16px !important;
  font-size: 13px;
  font-weight: 300;
}

// Button Rounded
.btn-rounded {
  border-radius: 100px;
}

// Button light
.btn-light {
  color: var(--text-primary);
  background-color: var(--background-secondary) !important;
  border: none;
}

.btn-light:hover {
  color: var(--text-primary) !important;
  background-color: var(--background-primary) !important;
}

// Bootstrap overrides
.btn-primary:hover,
.btn-secondary:hover {
  color: white !important;
}
